#### PyKDE - Python Bindings for KDE

# class TDEABC.LdapSearch |
Table of contents
Modules
tdeabc Classes
All Classes

Module | tdeabc
Class | TDEABC.LdapSearch
Inherits | TQObject

### methods

- LdapSearch ()

  returns a LdapSearch instance
  In versions KDE 3.1.0 and above only

- cancelSearch ()

  returns nothing
  In versions KDE 3.1.0 and above only

- isAvailable ()

  returns (bool)
  In versions KDE 3.1.0 and above only

- searchData (a0)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | TQStringList |

- searchData (a0)

  returns nothing
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | TDEABC.LdapResultList |

- searchDone ()

  returns nothing
  In versions KDE 3.1.0 and above only

- startSearch (txt)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  txt | TQString |